#
# spec file for package bluez-gstreamer
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bluez-gstreamer
BuildRequires:  dbus-1-devel flex
%if 0%{?suse_version} > 1120
BuildRequires:  libcap-ng-devel
%define with_libcapng --enable-capng
%endif
BuildRequires:  glib2-devel >= 2.16
BuildRequires:  libnl-devel libusb-devel
BuildRequires:  alsa-devel libsndfile-devel pkg-config udev
BuildRequires:  gstreamer-0_10-devel gstreamer-0_10-plugins-base-devel
BuildRequires:  readline-devel
BuildRequires:  libudev-devel
Url:            http://www.bluez.org
Version:        4.94
Release:        1
Summary:        Bluetooth Sound Support
Group:          Productivity/Multimedia/Sound/Utilities
License:        GPLv2+
Group:          Productivity/Multimedia/Sound/Utilities
AutoReqProv:    on
Source:         http://www.kernel.org/pub/linux/bluetooth/bluez-%{version}.tar.bz2
Source3:        bluetooth.sysconfig
Source4:        bluetooth.sh
Source6:        README.SUSE
Patch1:         bluez-4.75-udev-use-helperscript.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libbluetooth3 = %{version}
Provides:       bluez-audio:%_libdir/gstreamer-0.10/libgstbluetooth.so
%if %( echo `rpm -q --queryformat %%{version} udev` ) < 144
%define OLD_UDEV 1
%else
%define OLD_UDEV 0
%endif


%description
The package contains libraries for using bluetooth audio services.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%prep
%setup -n bluez-%{version} -q
%patch1 -p1
cp %{S:6} .
%{?suse_update_config:%{suse_update_config -f . }}


%build
# autoreconf -sfi
CFLAGS="$RPM_OPT_FLAGS -g" \
	./configure	--prefix=%{_prefix} \
			--mandir=%{_mandir} \
			--sysconfdir=%{_sysconfdir} \
			--libdir=%{_libdir} \
			--libexecdir=/lib \
			--localstatedir=/var	\
			--enable-gstreamer	\
			--enable-alsa		\
			--enable-usb		\
			--enable-tools		\
			--enable-bccmd		\
			--enable-hid2hci	\
			--enable-dfutool	\
			--enable-cups		\
			--enable-test		\
			--enable-pand		\
			--enable-dund		\
			--enable-configfiles	\
			--enable-pcmcia \
			%{?with_libcapng}
make %{?_smp_mflags} all V=1


%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/[^l]* $RPM_BUILD_ROOT/[^u]* $RPM_BUILD_ROOT/%{_libdir}/[^g]*
rm -rf $RPM_BUILD_ROOT/%{_libdir}/pkgconfig $RPM_BUILD_ROOT/%{_libdir}/*bluetooth* $RPM_BUILD_ROOT/usr/include
rm $RPM_BUILD_ROOT/%{_libdir}/*/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_libdir}/gstreamer-*/*.so



%changelog
